Python (SDK)
from meibelai import Meibelai
import os
with Meibelai(
api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:
res = m_client.blueprints.create_blueprint_task(blueprint_id="<id>", name="<value>", input_schema={
"key": "<value>",
"key1": "<value>",
}, output_schema={
"key": "<value>",
"key1": "<value>",
}, type_="<value>", description="loyally upon around ick near miserably", config_schema={
"key": "<value>",
}, tool_schema={
"key": "<value>",
})
# Handle response
print(res)curl --request POST \
--url https://api.meibel.ai/v1/blueprint/{blueprint_id}/task \
--header 'Content-Type: application/json' \
--header 'Meibel-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"input_schema": {},
"output_schema": {},
"type": "<string>",
"description": "<string>",
"config_schema": {},
"tool_schema": {}
}
'const options = {
method: 'POST',
headers: {'Meibel-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
input_schema: {},
output_schema: {},
type: '<string>',
description: '<string>',
config_schema: {},
tool_schema: {}
})
};
fetch('https://api.meibel.ai/v1/blueprint/{blueprint_id}/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}blueprints
Create Blueprint Task
POST
/
blueprint
/
{blueprint_id}
/
task
Python (SDK)
from meibelai import Meibelai
import os
with Meibelai(
api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:
res = m_client.blueprints.create_blueprint_task(blueprint_id="<id>", name="<value>", input_schema={
"key": "<value>",
"key1": "<value>",
}, output_schema={
"key": "<value>",
"key1": "<value>",
}, type_="<value>", description="loyally upon around ick near miserably", config_schema={
"key": "<value>",
}, tool_schema={
"key": "<value>",
})
# Handle response
print(res)Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I